## ros-one-teleop-twist-joy 0.1.3-5noble.20251023.0237

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(teleop_twist_joy)

find_package(catkin REQUIRED COMPONENTS geometry_msgs roscpp sensor_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs roscpp sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/${PROJECT_NAME})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}_node src/teleop_node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME} ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_node
  PROPERTIES OUTPUT_NAME teleop_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_cpp(include/ src/)
  roslint_python()
  roslint_add_test()

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/teleop.launch)

  find_package(rostest REQUIRED)
  include_directories(include ${catkin_INCLUDE_DIRS})

  # Check axes and scaling.
  add_rostest(test/differential_joy.test)
  add_rostest(test/holonomic_joy.test)
  add_rostest(test/six_dof_joy.test)

  # Check enable and turbo button logic.
  add_rostest(test/no_enable_joy.test)
  add_rostest(test/turbo_enable_joy.test)
  add_rostest(test/only_turbo_joy.test)
  add_rostest(test/turbo_angular_enable_joy.test)
  add_rostest(test/turbo_angular_enable_joy_with_rosparam_map.test)
endif()

## ros-one-teleop-twist-joy 0.1.3-5jammy.20251023.0239

=== debian/changelog ===
ros-one-teleop-twist-joy (0.1.3-5jammy.20251023.0239) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Oct 2025 02:39:32 +0000

ros-one-teleop-twist-joy (0.1.3-0jammy) jammy; urgency=high

  * Use industrial ci
  * Don't crash with invalid axes.
  * Make sure to not crash when the Joy message buttons is too small.
  * Don't get the axis twice.
  * Add ROS Wiki link (#26 <https://github.com/ros-teleop/teleop_twist_joy/issues/26>)
  * Contributors: Chris Lalancette, Julian Gaal, Rousseau Vincent, vincentrou

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Jan 2019 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.2-0jammy) jammy; urgency=high

  * Fixed incorrect key. (#21 <https://github.com/ros-teleop/teleop_twist_joy/issues/21>)
  * Allow custom config file from location outside of this package
  * Setting scale_angular_turbo if axis_angular is set so that turning works when turbo is pressed.
  * Added turbo scale for angular velocities and accompanying test.
  * Add LICENSE.txt.
  * Contributors: Daniel Aden, Isaac I.Y. Saito, Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 31 Aug 2016 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.1-0jammy) jammy; urgency=high

  * Add rostests.
  * Added maps to allow multi-dof velocity publishing.
  * Added Xbox 360 controller example.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 27 Jun 2015 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.0-0jammy) jammy; urgency=high

  * Added configurations for Logitech Attack3 and Extreme 3D Pro joysticks.
  * Initial version, with example config for PS3 joystick.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 25 Jul 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-teleop-twist-joy
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-joy, ros-one-roscpp, ros-one-roslaunch, ros-one-roslint, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://wiki.ros.org/teleop_twist_joy
Standards-Version: 3.9.2

Package: ros-one-teleop-twist-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-joy, ros-one-roscpp, ros-one-sensor-msgs
Description: Generic joystick teleop for twist robots.

## ros-one-teleop-twist-joy 0.1.3-5jammy.20260220.2323

=== debian/changelog ===
ros-one-teleop-twist-joy (0.1.3-5jammy.20260220.2323) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Feb 2026 23:23:38 +0000

## ros-one-teleop-twist-joy 0.1.3-5noble.20251023.0237

=== debian/changelog ===
ros-one-teleop-twist-joy (0.1.3-5noble.20251023.0237) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Oct 2025 02:37:53 +0000

ros-one-teleop-twist-joy (0.1.3-0noble) noble; urgency=high

  * Use industrial ci
  * Don't crash with invalid axes.
  * Make sure to not crash when the Joy message buttons is too small.
  * Don't get the axis twice.
  * Add ROS Wiki link (#26 <https://github.com/ros-teleop/teleop_twist_joy/issues/26>)
  * Contributors: Chris Lalancette, Julian Gaal, Rousseau Vincent, vincentrou

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Jan 2019 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.2-0noble) noble; urgency=high

  * Fixed incorrect key. (#21 <https://github.com/ros-teleop/teleop_twist_joy/issues/21>)
  * Allow custom config file from location outside of this package
  * Setting scale_angular_turbo if axis_angular is set so that turning works when turbo is pressed.
  * Added turbo scale for angular velocities and accompanying test.
  * Add LICENSE.txt.
  * Contributors: Daniel Aden, Isaac I.Y. Saito, Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 31 Aug 2016 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.1-0noble) noble; urgency=high

  * Add rostests.
  * Added maps to allow multi-dof velocity publishing.
  * Added Xbox 360 controller example.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 27 Jun 2015 00:00:00 -0000

ros-one-teleop-twist-joy (0.1.0-0noble) noble; urgency=high

  * Added configurations for Logitech Attack3 and Extreme 3D Pro joysticks.
  * Initial version, with example config for PS3 joystick.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 25 Jul 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-teleop-twist-joy//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-teleop-twist-joy 0.1.3-5noble.20260220.2342

=== debian/changelog ===
ros-one-teleop-twist-joy (0.1.3-5noble.20260220.2342) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 20 Feb 2026 23:42:54 +0000
